{
  description = "Leni Aniva's Systems";

  inputs = {
    nixpkgs-darwin.url = "github:NixOS/nixpkgs/nixpkgs-24.11-darwin";
    nix-darwin = {
      url = "github:LnL7/nix-darwin";
      inputs.nixpkgs.follows = "nixpkgs-darwin";
    };
  };

  outputs = inputs@{ self, nixpkgs-darwin, nix-darwin }: {
    darwinConfigurations = {
      tetrahedrite = nix-darwin.lib.darwinSystem {
        modules = [
          ./nix-darwin/configuration.nix
          {
            nixpkgs.hostPlatform = "x86_64-darwin";
          }
        ];
      };
      sphalerite = nix-darwin.lib.darwinSystem {
        modules = [
          ./nix-darwin/configuration.nix
          {
            nixpkgs.hostPlatform = "aarch64-darwin";
          }
        ];
      };
    };
  };
}
