{ pkgs, ... }:
pkgs.texlive.combine {
  inherit (pkgs.texlive) scheme-medium
    latexmk

    # Symbols
    amsmath
    cancel
    hyphenat
    xstring
    mnsymbol
    scalerel

    # Typesetting
    pdfcol
    changepage
    upquote
    anyfontsize

    # Misc
    svg
    datetime2
    makecell
    tcolorbox
    type1cm
    environ
    minted
    transparent

    # Graphics
    tikzmark
    tikzfill
    pgfplots

    # Classes
    llncs
    beamerposter

    # Fonts
    gnu-freefont
    raleway
    lato

    biblatex
  ;
}
